Summary:	Put Karamba applets to the desktop with Python
Name:		superkaramba
Version:	4.14.3
Release:	1
License:	LGPLv2+
Group:		Graphical desktop/KDE
Url:		http://utils.kde.org/projects/superkaramba
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(qimageblitz) < 5.0.0
Obsoletes:	%{name}-devel < 4.11.0

%description
SuperKaramba is a tool that allows you to easily create interactive
widgets on your KDE desktop.

%files
%{_kde_appsdir}/superkaramba
%{_kde_bindir}/superkaramba
%{_kde_iconsdir}/*/*/apps/superkaramba.*
%{_kde_applicationsdir}/superkaramba.desktop
%{_kde_libdir}/kde4/plasma_package_superkaramba.so
%{_kde_libdir}/kde4/plasma_scriptengine_superkaramba.so
%{_kde_services}/plasma-package-superkaramba.desktop
%{_kde_services}/plasma-scriptengine-superkaramba.desktop
%{_kde_configdir}/superkaramba.knsrc
%{_kde_datadir}/dbus-1/interfaces/org.kde.superkaramba.xml

#---------------------------------------------

%define libsuperkaramba_major 4
%define libsuperkaramba %mklibname superkaramba %{libsuperkaramba_major}

%package -n %{libsuperkaramba}
Summary:	Runtime library for superkaramba
Group:		System/Libraries

%description -n %{libsuperkaramba}
Runtime library for superkaramba.

%files -n %{libsuperkaramba}
%{_kde_libdir}/libsuperkaramba.so.%{libsuperkaramba_major}*

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

# We don't need it because there are no headers anyway
rm -f %{buildroot}%{_kde_libdir}/libsuperkaramba.so


%changelog
* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-1
+ Revision: 2344e0c
- LOG New version 4.14.3 (sync spec and patches with Cooker)


